using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ArtefactTriggerArea : MonoBehaviour
{
    public int id => _id;
    [SerializeField] private int _id;

    private void OnTriggerEnter(Collider Player)
    {
        EventHandler.current.ArtefactTriggerEnter(_id);
        PlayerInputHandler.id = _id;
    }

    private void OnTriggerExit(Collider Player)
    {
        EventHandler.current.ArtefactTriggerExit(_id);
        PlayerInputHandler.id = 0;
    }
    
}